Skip to content
Browse files

Fix “Open Require” (⇧⌘D) for relative paths

  • Loading branch information...
1 parent d683ad3 commit 5cc7a947c3f272c819c3298a1e0c36767b67aefa @sorbits sorbits committed Aug 4, 2013
Showing with 2 additions and 0 deletions.
  1. +2 −0 Commands/Open Require.tmCommand
View
2 Commands/Open Require.tmCommand
@@ -12,6 +12,8 @@ require "#{ENV['TM_SUPPORT_PATH']}/lib/textmate.rb"
REQUIRE_RE = /^\s*(?:require|load)\s*(['"])([^'"#]+?)(?:\.rb)?\1[ \t]*$/
+Dir.chdir(ENV['TM_DIRECTORY']) if ENV.has_key?('TM_DIRECTORY')
+
gems_installed = begin
require 'rubygems'
true

0 comments on commit 5cc7a94

Please sign in to comment.
Something went wrong with that request. Please try again.